#6459 Please stop lost input from time-expired pages

fixed
xlslib
2015-10-09
2014-01-08
David Hoerl
No

Im almost in tears again. I support several projects on your site. I log into one, answer some questions, go away for many hours, come back, and have say the discussion open.

I click on a response button, type for say 20 minutes to enter text, then hit submit. But no, the page is out of date, I'm logged out, so I get some page that says you need to login.

EVERTTHING I TYPED IS LOST FOREVER. This has happened to me sooooo many times, I think, yea, time to move to github. Geeeez - gone forever. How can this happen ?!??!?!?!?!?

So just to re-iterate:
- log in, go to a discussion
- come back in 8 hours, see the page with an open Discussion block.
- type into it, fine, spend hours
- hit POST

I'M SORRY - YOU ARE LOGGED OUT - ALL YOUR TYPING WAS JUST TRASHED.

Sorry for venting - this has happen to me so many times, but just now lost 15 minutes worth of info....

[ the wise man does select-all, copy, before any web submission. Sigh. Just not a wise man.]

Related

Site Support: #6459

Discussion

  • Anonymous - 2014-01-08
    • labels: --> engr, nf-2643
    • status: unread --> assigned
    • assigned_to: Chris Tsai
     
  • Anonymous - 2014-01-08

    Greetings,

    We do have a ticket in our backlog to investigate ways to preserve text in situations like that here: [allura:tickets:#2643]

    That said though, due to the complexity of it, I don't expect it to be addressed in the near future. In the meantime, I very highly recommend using the Lazarus browser plugin. I use it myself and it's saved me many times (not just on our site): http://getlazarus.com/

    Regards,
    Chris Tsai, SourceForge.net Support

     
    • David Hoerl

      David Hoerl - 2014-01-08

      On 1/8/14, 11:57 AM, Chris Tsai wrote:

      Greetings,

      We do have a ticket in our backlog to investigate ways to preserve text
      in situations like that here: [allura:tickets:#2643]
      http://sourceforge.net/p/allura/tickets/2643/

      That said though, due to the complexity of it, I don't expect it to be
      addressed in the near future. In the meantime, I very highly recommend
      using the Lazarus browser plugin. I use it myself and it's saved me many
      times (not just on our site): http://getlazarus.com/

      Regards,
      Chris Tsai, SourceForge.net Support

      Chris, thanks for the link. I just downloaded it.

      Best wishes,

      David

       
  • John Barrett

    John Barrett - 2015-10-09
    • status: assigned --> fixed
     
    • David Hoerl

      David Hoerl - 2015-10-10

      I tested it yesterday/today, and yes, its fixed (I didn't get logged out
      even overnight).

      On 10/8/15 9:59 PM, John Barrett wrote:

      • status: assigned --> fixed
      • Comment:

      Hello,
      Durning a ticket review process I saw this ticket, so I apologize for
      the delay in my reply to this ticket. I think this is an old issue that
      has already been taken care of if I'm mistaken please let me know and I
      will take another look into your situation.
      Thanks
      SourceForge Support


      [site-support:#6459]
      http://sourceforge.net/p/forge/site-support/6459/ Please stop lost
      input from time-expired pages

      Status: fixed
      Labels: engr nf-2643
      Created: Wed Jan 08, 2014 01:37 AM UTC by David Hoerl
      Last Updated: Wed Jan 08, 2014 04:57 PM UTC
      Owner: Chris Tsai

      Im almost in tears again. I support several projects on your site. I log
      into one, answer some questions, go away for many hours, come back, and
      have say the discussion open.

      I click on a response button, type for say 20 minutes to enter text,
      then hit submit. But no, the page is out of date, I'm logged out, so I
      get some page that says you need to login.

      EVERTTHING I TYPED IS LOST FOREVER. This has happened to me sooooo many
      times, I think, yea, time to move to github. Geeeez - gone forever. How
      can this happen ?!??!?!?!?!?

      So just to re-iterate:
      - log in, go to a discussion
      - come back in 8 hours, see the page with an open Discussion block.
      - type into it, fine, spend hours
      - hit POST

      I'M SORRY - YOU ARE LOGGED OUT - ALL YOUR TYPING WAS JUST TRASHED.

      Sorry for venting - this has happen to me so many times, but just now
      lost 15 minutes worth of info....

      [ the wise man does select-all, copy, before any web submission. Sigh.
      Just not a wise man.]


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/forge/site-support/6459/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Site Support: #6459

  • John Barrett

    John Barrett - 2015-10-09

    Hello,
    Durning a ticket review process I saw this ticket, so I apologize for the delay in my reply to this ticket. I think this is an old issue that has already been taken care of if I'm mistaken please let me know and I will take another look into your situation.
    Thanks
    SourceForge Support

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks